$(document).ready( function () {
	$("#tabs_sameartist").hide();
	$("#tabs_other").hide();
	$("#tabs_related").show();
	
	
	$("#tabs_select_related").click( function() {
		
		 var vid = $(this).find('a').attr('class');
		 var divs = $("#tabs_related").children().length;
		 
		 $(".shadetabs").find("li").removeClass("selected");
		 $(this).addClass("selected");	 
	
		 $("#tabs_sameartist").hide();
		 $("#tabs_other").hide();
		 
		 if (vid.length > 0 && divs == 0)
		 {
		 	ajax_request('detail', 'do=show_more_related&vid='+ vid, '#tabs_related', 'html', false);
		 }
		 
		 if($.browser.msie) {
			$("#tabs_related").show();
		 }
		 else
		 {
			$("#tabs_related").fadeIn(200);
		 }
		 return false;
	});

	$("#tabs_select_sameartist").click( function() {
		 
		 var vid = $(this).find('a').attr('class');
		 var divs = $("#tabs_sameartist").children().length;
		 
		 $(".shadetabs").find("li").removeClass("selected");
		 $(this).addClass("selected");
		 
		 $("#tabs_related").hide();
		 $("#tabs_other").hide();
		 
		 if (vid.length > 0 && divs == 0)
		 {
		 	ajax_request('detail', 'do=show_more_artist&vid='+ vid, '#tabs_sameartist', 'html', false);
		 }
		 
		 if($.browser.msie) {
			 $("#tabs_sameartist").show();
		 }
		 else {
			 $("#tabs_sameartist").fadeIn(200);
		 }
		 return false;
	});

	$("#tabs_select_other").click( function() {

		 var vid = $(this).find('a').attr('class');
		 var divs = $("#tabs_other").children().length;
		 
 		 $(".shadetabs").find("li").removeClass("selected");
		 $(this).addClass("selected");
		 
		 if (vid.length > 0 && divs == 0)
		 {
		 	ajax_request('detail', 'do=show_more_best&vid='+ vid, '#tabs_other', 'html', false);
		 }
		 
		 $("#tabs_related").hide();
		 $("#tabs_sameartist").hide();
		 if($.browser.msie) {
			 $("#tabs_other").show();
		 }
		 else { 
			 $("#tabs_other").fadeIn(200);
		 }
		 return false;
	});
	
	$("#href_artist_name").click( function() {
		
		 var vid = $(this).attr('class');
		 var divs = $("#tabs_sameartist").children().length;
		 
		 $(".shadetabs").find("li").removeClass("selected");
		 $("#tabs_select_sameartist").addClass("selected");
		 
		 $("#tabs_related").hide();
		 $("#tabs_other").hide();
		 
		 if (vid.length > 0 && divs == 0)
		 {
		 	ajax_request('detail', 'do=show_more_artist&vid='+ vid, '#tabs_sameartist', 'html', false);
		 }
		 
		 if($.browser.msie) {
			 $("#tabs_sameartist").show();
		 }
		 else {
			 $("#tabs_sameartist").fadeIn(200);
		 }
		 return false;
	});
});